For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Cloudflare
    • GETpayload example
    • POSThttps://social-media-posting-dev.deao.workers.dev/post
        • GETGet IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
        • POSTCreate Carousel Container: https://graph.facebook.com/v25.0/{ig_account_id}/media?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
        • GETGet Video Upload Status: https://graph.facebook.com/v19.0/{ig_media_container_id}?fields=id,status,status_code,video_status&appsecret_proof={fb_appsecret_proof}
        • POST2. Publish Post: https://graph.facebook.com/v25.0/{ig_account_id}/media_publish?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}
        • POSTUpload Video (Only for videos): {uri}
LogoLogo
CloudflareSocial Media PostingInstagram

Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

||View as Markdown|
GET
/v25.0/:fb_page_id
GET
/v25.0/:fb_page_id
$curl -G https://graph.facebook.com/v25.0/996526996873368 \
> -d fields=instagram_business_account \
> -d appsecret_proof=d98797bec9190fa331bfc3290da4646ee09b27b1194cb188f221e2b545d14c1d \
> -d access_token=EAAFQsXjJfv0BQZBZBRvaLnvricQzunvxvTWzEQJt8GZBetLsTpXAaFBmcVk0NESHWZAA3MUy8qmy5YOtOGF3FYOrmOHb7DZBOM5sD6WMBO5qN9O94jo62SVIjT1C7mxD0VlGZAVGKyt5O2KEZCgX8P5f2SGKylaqfctrz3pwKux8srU2q44o4eMZC3RbSG37J9qBhEJmIvyryuL0Adc4iZBZCVaSge
200Social Media Posting_Instagram_Get IG Connected Account ID: https://graph.facebook.com/v25.0/{fb_page_id}}fields=instagram_business_account&access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}_example
1{
2 "id": "996526996873368",
3 "instagram_business_account": {
4 "id": "17841448307581691"
5 }
6}
Was this page helpful?
Previous

1b or 2. Publish Post: https://graph.facebook.com/v25.0/{fb_page_id}/feed?access_token={fb_page_access_token}}&appsecret_proof={fb_appsecret_proof}

Next

Create Carousel Container: https://graph.facebook.com/v25.0/{ig_account_id}/media?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}

Built with

Path parameters

fb_page_idstringRequired

FB page of the access_token query param

Query parameters

fieldsstringOptional
default
appsecret_proofstringOptional

echo -n “FB_PAGE_ACCESS_TOKEN” | openssl dgst -sha256 -hmac “9321fa6df4b4112d66b24fdac92f1eba” | sed ‘s/^.* //’

access_tokenstringOptional
{fb_page_access_token}

Response headers

ETagstring
Pragmastring
Alt-Svcstring
Expiresstring
x-fb-aedstring
x-fb-revstring
X-FB-Debugstring
Cache-Controlstring
x-fb-trace-idstring
x-fb-request-idstring
facebook-api-versionstring
X-FB-Connection-Qualitystring
Strict-Transport-Securitystring
x-business-use-case-usagestring
Access-Control-Allow-Originstring

Response

OK
idstring
instagram_business_accountobject

1b or 2. Publish Post: https://graph.facebook.com/v25.0/{fb_page_id}/feed?access_token={fb_page_access_token}}&appsecret_proof={fb_appsecret_proof}

Create Carousel Container: https://graph.facebook.com/v25.0/{ig_account_id}/media?access_token={fb_page_access_token}&appsecret_proof={fb_appsecret_proof}